CVE(1)

NAME
cve - A CLI interface for the CVE Services API.

SYNOPSIS
cve [OPTIONS] COMMAND [ARGS]...

DESCRIPTION
A CLI interface for the CVE Services API.

OPTIONS

-u, --username TEXT
    Your username (env var: CVE_USER) [required]

-o, --org TEXT
    Your CNA organization short name (env var: CVE_ORG) [required]

-a, --api-key TEXT
    Your API key (env var: CVE_API_KEY) [required]

-e, --env [prod|dev|test]
    Select deployment environment to query (env var: CVE_ENVIRONMENT)

--api-url TEXT
    Provide arbitrary URL for the CVE API (env var: CVE_API_URL)

-i, --interactive
    Confirm create/update actions before execution (env var: CVE_INTERACTIVE)

-V, --version
    Show the version and exit.

COMMANDS

publish
  Publish a CNA container of a CVE record...
  See cve-publish(1) for full documentation on the publish command.

publish-adp
  Add or update an ADP container in a CVE...
  See cve-publish-adp(1) for full documentation on the publish-adp command.

reject
  Reject a CVE record for a reserved or...
  See cve-reject(1) for full documentation on the reject command.

undo-reject
  Move a rejected CVE ID without a record...
  See cve-undo-reject(1) for full documentation on the undo-reject command.

transfer
  Transfer ownership of a CVE ID to another...
  See cve-transfer(1) for full documentation on the transfer command.

reserve
  Reserve one or more CVE IDs.
  See cve-reserve(1) for full documentation on the reserve command.

show
  Display a specific CVE ID (and optionally...
  See cve-show(1) for full documentation on the show command.

list
  Filter and list reserved CVE IDs owned by...
  See cve-list(1) for full documentation on the list command.

count
  Display the total count of CVE records,...
  See cve-count(1) for full documentation on the count command.

quota
  Display the available CVE ID quota for...
  See cve-quota(1) for full documentation on the quota command.

user
  Show information about a user.
  See cve-user(1) for full documentation on the user command.

org
  Show information about your organization.
  See cve-org(1) for full documentation on the org command.

validate
  Validate a CVE record against the 5.1.1...
  See cve-validate(1) for full documentation on the validate command.

ping
  Ping the CVE Services API to see if it is up.
  See cve-ping(1) for full documentation on the ping command.